//Source file: InvalidAuthTypeException.java
//Date: June 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.7.0

package org.csapi.jr.se.fw;

/**
 * Invalid type of authentication mechanism
 *
 */
public class InvalidAuthTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidAuthTypeException() {
        super(); 
    }

    public InvalidAuthTypeException(String message) {
        super(message); 
    }

    public InvalidAuthTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAuthTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAuthTypeException

