//Source file: MissingMandatoryPropertyException.java
//Date: June 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.7.0

package org.csapi.jr.se.fw;

/**
 * Mandatory Property Missing
 *
 */
public class MissingMandatoryPropertyException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public MissingMandatoryPropertyException() {
        super(); 
    }

    public MissingMandatoryPropertyException(String message) {
        super(message); 
    }

    public MissingMandatoryPropertyException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MissingMandatoryPropertyException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MissingMandatoryPropertyException

