//Source file: UnknownServiceIdException.java
//Date: June 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.7.0

package org.csapi.jr.se.fw;

/**
 * Unknown Service ID
 *
 */
public class UnknownServiceIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public UnknownServiceIdException() {
        super(); 
    }

    public UnknownServiceIdException(String message) {
        super(message); 
    }

    public UnknownServiceIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public UnknownServiceIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // UnknownServiceIdException

