//Source file: InvalidServiceIdException.java
//Date: June 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.7.0

package org.csapi.jr.se.fw;

/**
 * Invalid service ID
 *
 */
public class InvalidServiceIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidServiceIdException() {
        super(); 
    }

    public InvalidServiceIdException(String message) {
        super(message); 
    }

    public InvalidServiceIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidServiceIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidServiceIdException

