//Source file: InvalidServiceTokenException.java
//Date: June 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.7.0

package org.csapi.jr.se.fw;

/**
 * The service token has not been issued, or it has expired.
 *
 */
public class InvalidServiceTokenException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidServiceTokenException() {
        super(); 
    }

    public InvalidServiceTokenException(String message) {
        super(message); 
    }

    public InvalidServiceTokenException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidServiceTokenException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidServiceTokenException

