//Source file: ServiceNotEnabledException.java
//Date: June 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.7.0

package org.csapi.jr.se.fw;

/**
 * The service ID does not correspond to a service that has been enabled
 *
 */
public class ServiceNotEnabledException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public ServiceNotEnabledException() {
        super(); 
    }

    public ServiceNotEnabledException(String message) {
        super(message); 
    }

    public ServiceNotEnabledException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public ServiceNotEnabledException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // ServiceNotEnabledException

